<style>
    .result-table {
        caption-side: top;
        font-size: small;
    }

    .result-table,
    th,
    td {
        border: 1px solid black !important;
    }

    .result-table caption {
        font-weight: bold;
        text-align: center;
        background-color: #eee;
        border: 1px solid black !important;
        color: black;
    }

    .result-table .head {
        font-weight: bold;
        background-color: #f5f5f5;
    }

     table thead {
        background-color: #efefef;
    }

    table tr td {
        padding: 10px;
    }
</style>

<p>{{> theorie }}Bisher haben wir vor allem die strukturelle Beschreibung von Datenbanken betrachtet,
    das ER-Modell und das Relationenmodell. Wir benötigen jedoch zusätzlich eine Möglichkeit,
    Informationen aus der Datenbank zu extrahieren. <b>Anfragen</b> an eine Datenbank sind Operationen,
    die uns erlauben, Ausschnitte des Datenbestandes an den/die Anwender:in zurückzugeben bzw. den
    Datenbestand zu verändern und zu erweitern. Mit einem Anfragemodell wie der <b>Relationenalgebra</b> können
    Anfragen formal beschrieben werden.
</p>
<div class="card ovk-story">
    <div class="card-body schon-gewusst-body">
        <p>
            Der Limo-Shop soll auf andere Produkte erweitert werden: Socken und
            <img style="max-width: none;" class="ovk-float-left"
                src="{{ data 'domain_root' }}/static/Informatik/Datenbanken/socken.svg" alt='Socken'
                id="socken" />
            Holzspielzeug, made in Dresden. Auf der Webseite hat der Nutzer die Möglichkeit,
            <img style="max-width: none;" class="ovk-float-right"
                src="{{ data 'domain_root' }}/static/Informatik/Datenbanken/dropdown.svg" alt='Dropdown-
                Element mit Produktkategorien' id="dropdown" />
            zunächst eine Produktkategorie auszuwählen. Dann werden alle Produkte dieser Kategorie mit
            Bild und Namen angezeigt. Mit Klick auf ein Bild erscheinen weitere Informationen zu dem
            Produkt.
        </p>
        <p>
            Die Abfragen, die programmiert werden müssten, sind:
        <ul class="ovk-bullet-list">
            <li><em>Gib mir alle Produkte der Kategorie X.</em></li>
            <li><em>Gib mir den Namen des Produkts Y und den Pfad des zugehörigen Bildes.</em></li>
            <li><em>Gib mir alle Informationen zu dem Produkt Z.</em></li>
        </ul>
        Wie können diese und andere Abfragen mithilfe der relationalen Algebra beschrieben werden?
        </p>
    </div>
</div>
<br />
<p>Dies sind die Basisrelationen der relationalen Algebra:
{{> Basisrelationen}}